document.addEventListener('DOMContentLoaded', () => {
  const timeButtons = document.querySelectorAll('.time-btn');
  const selectedTimeInput = document.getElementById('selectedTime');
  const rsvpForm = document.getElementById('rsvpForm');

  timeButtons.forEach(button => {
    button.addEventListener('click', () => {
      // Remove selected class from all buttons
      timeButtons.forEach(btn => btn.classList.remove('selected'));
      // Add selected class to clicked button
      button.classList.add('selected');
      // Update selected time input
      selectedTimeInput.value = button.textContent;
    });
  });

  rsvpForm.addEventListener('submit', (e) => {
    e.preventDefault();
    const name = document.getElementById('name').value;
    const email = document.getElementById('email').value;
    const time = selectedTimeInput.value;

    if (!time) {
      alert('Please select a time slot first!');
      return;
    }

    // Here you would typically send this data to a server
    alert(`Thank you for your RSVP, ${name}!\nWe'll send confirmation to ${email}\nSelected time: ${time}`);
    rsvpForm.reset();
    timeButtons.forEach(btn => btn.classList.remove('selected'));
  });

  // Add floating hearts animation
  setInterval(createHeart, 3000);
});

function createHeart() {
  const heart = document.createElement('div');
  heart.classList.add('floating-heart');
  heart.innerHTML = '❤️';
  heart.style.left = Math.random() * 100 + 'vw';
  heart.style.animationDuration = Math.random() * 3 + 2 + 's';
  document.body.appendChild(heart);

  setTimeout(() => {
    heart.remove();
  }, 5000);
}
